curl -X GET 'https://api.tolt.com/v1/commissions/comm_eK9bzRGn46BhVgNFHD6fDgXW' \
-H 'Authorization: Bearer <API_KEY>'
curl -X GET 'https://api.tolt.com/v1/commissions/comm_eK9bzRGn46BhVgNFHD6fDgXW?expand[]=partner&expand[]=program&expand[]=customer' \
-H 'Authorization: Bearer <API_KEY>'
{
"success": true,
"data": {
"id": "comm_eK9bzRGn46BhVgNFHD6fDgXW",
"amount": 1999,
"customer_id": "cust_dK9bzRGn46BhVgNFHD6fDgXW",
"transaction_id": "txn_7mbzRGn46BhVgNFHD6fDgXW",
"charge_id": "ch_9bzRGn46BhVgNFHD6fDgXW",
"source": "stripe",
"status": "pending",
"revenue": 9999,
"created_at": "2025-01-15T14:30:00.000Z",
"updated_at": "2025-01-15T14:30:00.000Z",
"program_id": "prg_YRsbPDAKhWfdqJbFACheh",
"organization_id": "org_JE3mfYNL9ci7sFaJazAv2"
}
}
{
"success": true,
"data": {
"id": "comm_eK9bzRGn46BhVgNFHD6fDgXW",
"amount": 1999,
"customer_id": "cust_dK9bzRGn46BhVgNFHD6fDgXW",
"transaction_id": "txn_7mbzRGn46BhVgNFHD6fDgXW",
"charge_id": "ch_9bzRGn46BhVgNFHD6fDgXW",
"source": "stripe",
"status": "pending",
"revenue": 9999,
"created_at": "2025-01-15T14:30:00.000Z",
"updated_at": "2025-01-15T14:30:00.000Z",
"program_id": "prg_YRsbPDAKhWfdqJbFACheh",
"organization_id": "org_JE3mfYNL9ci7sFaJazAv2",
"partner": {
"id": "part_s7mbzRGn46BhVgNFHD6fDgXW",
"first_name": "Michael",
"last_name": "Scott",
"email": "michael.scott@dundermifflin.com",
"company_name": "Dunder Mifflin",
"status": "active",
"created_at": "2025-01-13T10:06:11.251Z"
},
"program": {
"id": "prg_YRsbPDAKhWfdqJbFACheh",
"status": "active",
"name": "Tolt's Partnership Program",
"product_name": "Tolt",
"subdomain": "affiliates",
"type": "public",
"currency_code": "USD",
"created_at": "2024-03-05T10:28:08.984+00:00"
},
"customer": {
"id": "cust_dK9bzRGn46BhVgNFHD6fDgXW",
"email": "cust_123",
"name": "Jim Halpert",
"status": "active",
"created_at": "2025-01-15T14:30:00.000Z"
}
}
}
Commissions
Retrieve Commission
This endpoint retrieves a commission.
GET
/
v1
/
commissions
/
:id
curl -X GET 'https://api.tolt.com/v1/commissions/comm_eK9bzRGn46BhVgNFHD6fDgXW' \
-H 'Authorization: Bearer <API_KEY>'
curl -X GET 'https://api.tolt.com/v1/commissions/comm_eK9bzRGn46BhVgNFHD6fDgXW?expand[]=partner&expand[]=program&expand[]=customer' \
-H 'Authorization: Bearer <API_KEY>'
{
"success": true,
"data": {
"id": "comm_eK9bzRGn46BhVgNFHD6fDgXW",
"amount": 1999,
"customer_id": "cust_dK9bzRGn46BhVgNFHD6fDgXW",
"transaction_id": "txn_7mbzRGn46BhVgNFHD6fDgXW",
"charge_id": "ch_9bzRGn46BhVgNFHD6fDgXW",
"source": "stripe",
"status": "pending",
"revenue": 9999,
"created_at": "2025-01-15T14:30:00.000Z",
"updated_at": "2025-01-15T14:30:00.000Z",
"program_id": "prg_YRsbPDAKhWfdqJbFACheh",
"organization_id": "org_JE3mfYNL9ci7sFaJazAv2"
}
}
{
"success": true,
"data": {
"id": "comm_eK9bzRGn46BhVgNFHD6fDgXW",
"amount": 1999,
"customer_id": "cust_dK9bzRGn46BhVgNFHD6fDgXW",
"transaction_id": "txn_7mbzRGn46BhVgNFHD6fDgXW",
"charge_id": "ch_9bzRGn46BhVgNFHD6fDgXW",
"source": "stripe",
"status": "pending",
"revenue": 9999,
"created_at": "2025-01-15T14:30:00.000Z",
"updated_at": "2025-01-15T14:30:00.000Z",
"program_id": "prg_YRsbPDAKhWfdqJbFACheh",
"organization_id": "org_JE3mfYNL9ci7sFaJazAv2",
"partner": {
"id": "part_s7mbzRGn46BhVgNFHD6fDgXW",
"first_name": "Michael",
"last_name": "Scott",
"email": "michael.scott@dundermifflin.com",
"company_name": "Dunder Mifflin",
"status": "active",
"created_at": "2025-01-13T10:06:11.251Z"
},
"program": {
"id": "prg_YRsbPDAKhWfdqJbFACheh",
"status": "active",
"name": "Tolt's Partnership Program",
"product_name": "Tolt",
"subdomain": "affiliates",
"type": "public",
"currency_code": "USD",
"created_at": "2024-03-05T10:28:08.984+00:00"
},
"customer": {
"id": "cust_dK9bzRGn46BhVgNFHD6fDgXW",
"email": "cust_123",
"name": "Jim Halpert",
"status": "active",
"created_at": "2025-01-15T14:30:00.000Z"
}
}
}
Base URL https://api.tolt.com
Query Parameters
array - optional
Specify which related objects to include in the response. Valid values are
‘partner’, ‘program’, and ‘customer’. Use expand[]=partner,
expand[]=program, or expand[]=customer to include the related objects.
Response
boolean
Whether the request was successful
object
Hide properties
Hide properties
string
Unique identifier for the commission
number
Commission amount in cents
string
ID of the associated customer
string
Associated transaction identifier
string
Associated charge identifier
string
Source of the commission
string
Commission status
number
Revenue amount in cents
string
ISO 8601 timestamp of creation
string
ISO 8601 timestamp of update
string
Program ID the commission belongs to
string
Organization ID
curl -X GET 'https://api.tolt.com/v1/commissions/comm_eK9bzRGn46BhVgNFHD6fDgXW' \
-H 'Authorization: Bearer <API_KEY>'
curl -X GET 'https://api.tolt.com/v1/commissions/comm_eK9bzRGn46BhVgNFHD6fDgXW?expand[]=partner&expand[]=program&expand[]=customer' \
-H 'Authorization: Bearer <API_KEY>'
{
"success": true,
"data": {
"id": "comm_eK9bzRGn46BhVgNFHD6fDgXW",
"amount": 1999,
"customer_id": "cust_dK9bzRGn46BhVgNFHD6fDgXW",
"transaction_id": "txn_7mbzRGn46BhVgNFHD6fDgXW",
"charge_id": "ch_9bzRGn46BhVgNFHD6fDgXW",
"source": "stripe",
"status": "pending",
"revenue": 9999,
"created_at": "2025-01-15T14:30:00.000Z",
"updated_at": "2025-01-15T14:30:00.000Z",
"program_id": "prg_YRsbPDAKhWfdqJbFACheh",
"organization_id": "org_JE3mfYNL9ci7sFaJazAv2"
}
}
{
"success": true,
"data": {
"id": "comm_eK9bzRGn46BhVgNFHD6fDgXW",
"amount": 1999,
"customer_id": "cust_dK9bzRGn46BhVgNFHD6fDgXW",
"transaction_id": "txn_7mbzRGn46BhVgNFHD6fDgXW",
"charge_id": "ch_9bzRGn46BhVgNFHD6fDgXW",
"source": "stripe",
"status": "pending",
"revenue": 9999,
"created_at": "2025-01-15T14:30:00.000Z",
"updated_at": "2025-01-15T14:30:00.000Z",
"program_id": "prg_YRsbPDAKhWfdqJbFACheh",
"organization_id": "org_JE3mfYNL9ci7sFaJazAv2",
"partner": {
"id": "part_s7mbzRGn46BhVgNFHD6fDgXW",
"first_name": "Michael",
"last_name": "Scott",
"email": "michael.scott@dundermifflin.com",
"company_name": "Dunder Mifflin",
"status": "active",
"created_at": "2025-01-13T10:06:11.251Z"
},
"program": {
"id": "prg_YRsbPDAKhWfdqJbFACheh",
"status": "active",
"name": "Tolt's Partnership Program",
"product_name": "Tolt",
"subdomain": "affiliates",
"type": "public",
"currency_code": "USD",
"created_at": "2024-03-05T10:28:08.984+00:00"
},
"customer": {
"id": "cust_dK9bzRGn46BhVgNFHD6fDgXW",
"email": "cust_123",
"name": "Jim Halpert",
"status": "active",
"created_at": "2025-01-15T14:30:00.000Z"
}
}
}
⌘I

